> 信息中心 >

求大神帮忙解决linux下cmake编译安装mysql错误

来源:互联网 编辑:刘梓楠

有网友碰到过这样的问题:求大神帮忙解决linux下cmake编译安装mysql错误,问题详细内容为:

[root@vmware03 cmake-3.13.2]# yum -y install gcc-*
Loaded plugins: fastestmirror, security
Setting up Install Process
Loading mirror speeds from cached hostfile

base: centos.ustc.edu.cn extras: mirrors.huaweicloud.com updates: centos.ustc.edu.cn
Package gcc-4.4.7-23.el6.x86_64 already installed and latest version
Package gcc-objc-4.4.7-23.el6.x86_64 already installed and latest version
Package gcc-gfortran-4.4.7-23.el6.x86_64 already installed and latest version
Package gcc-gnat-4.4.7-23.el6.x86_64 already installed and latest version
Package gcc-objc++-4.4.7-23.el6.x86_64 already installed and latest version
Package gcc-java-4.4.7-23.el6.x86_64 already installed and latest version
Package gcc-c++-4.4.7-23.el6.x86_64 already installed and latest version
Nothing to do
[root@vmware03 cmake-3.13.2]# ./bootstrap
---------------------------------------------
CMake 3.13.2, Copyright 2000-2018 Kitware, Inc. and Contributors
Found GNU toolchain
C compiler on this system is: gcc
---------------------------------------------
Error when bootstrapping CMake:
Cannot find a C++ compiler that supports both C++11 and the specified C++ flags.
Please specify one using environment variable CXX.
The C++ flags are "".
They can be changed using the environment variable CXXFLAGS.
See cmake_bootstrap.log for compilers attempted.
---------------------------------------------
Log of errors: /usr/src/cmake-3.13.2/Bootstrap.cmk/cmake_bootstrap.log
---------------------------------------------

安装了c++编译器,但是为什么还有这样的错误呢?请大神指点

linuxcmake ,我搜你通过互联网收集了相关的一些解决方案,希望对有过相同或者相似问题的网友提供帮助,具体如下:

解决方案1:
[root@localhost cmake-3.13.2]# cat README.rst
Building CMake from Scratch
---------------------------
You need to have a C++ compiler (supporting C++11) and a make installed. 你的C++编译器支持C++11吗?,可能是C++编译器版本太低。
你可以换一个低版本的cmake,或者使用 yum 安装cmake。
最后,不要盲目的选择最新版,最好是跟着别人的教程一步步做。 收获园豆:20
============================================
谢谢你,我试试降版本吧,其他方法都试过,谢谢
解决方案2:
c++编译器没有问题的情况下,尝试重新安装,参照install或者readme说明。

编译安装mysql56时出现bash:cmake:command not f...

答:看看cmake在没有在默认的环境变量中,有时候安装了多了就是这样; find / -name cmake 看安装在那里 然后设置环境变量应该就没问题了 export PATH=$PAHT:这里就是你的安装的位置

linux使用cmake编译mysql,提示错误,请高手帮忙解...

答:手动创建 /application/mysql-5.5.32/data 目录后再重新编译试试

linux 怎么用cmake安装mysql

答:方法/步骤 1 在安装mysql数据库服务器前,确保你的linux系统是可以连接网络的,下面我们将通过源码方式来安装mysql首先通过putty登入进你的Linux系统,确保系统中已经安装的gcc c++ 等编译环境,因为mysql从5.5版本开始是使用cmake编译的,如果...

linux 源码安装mysql时,使用cmake生成makefile时...

答:行与行之间需要连接符"\",最后一行不需要,要不然你就都写在同一行: cmake -DCMAKE_INSTALL_PREFIX=/usr/local/mysql \ -DMYSQL_UNIX_ADDR=/var/lib/mysql/mysql.sock \ -DDEFAULT_CHARSET=utf8 \ -DDEFAULT_COLLATION=utf8_general_ci \ -DWIT...

linux使用cmake安装mysql,编译不成功

答:是的 从mysql5.5以后就开始使用cmake安装了 有关使用cmake安装mysql 可以参考这篇文章 烂泥:mysql5.5数据库cmake源码编译安装

在linux下,用cmake安装mysql-5.6.4-m7,当用make...

答:检查软件环境。 估计有函数库接口版本不对应。 话说为什么非要自己编译而不是用系统自带的?

linux安装mysql make时出错make[1]: *** [my_new.o...

答:电脑是不是64位的,安装的mysql却是32位软件,建议用yum或apt-get安装一下glibc再来尝试。 有网络,配一下yum源。有的软件不在官方的源里面,而在第三方。如果能安装的话,就去安装第三方的源,例如epel, rpmfusion,rpmforge,livna等等。要是不让...

linux 安装mysql的时候 编译的时候输入make 出现 *...

答:make的路径不对啊 你在哪个目录make的啊? 先reconfigure 去正确的目录make 还有,新版本的mysql得使用cmake编译

linux编译安装mysql5.6出错?麻烦看看什么原因?

答:1、这是因为你的某些依赖文件没有安装或者版本不够新,看看configure的输出或者mkmf.log文件的内容,或者传上来; 2、上次make的垃圾文件存在导致再次make失败,在make之前先执行make clean

Mysql5.5.30使用Cmake编译不通过,报出错误,该如...

答:应该是版本下载错误 出现该问题大致是因为所需要下载的MySQL版本出现了错误。如果是通过源码来安装,需要: 1.登录MySQL官网,并找到社区版下载地址 http://dev.mysql.com/downloads/mysql/5.6.html#downloads 2.选择Source Code平台 3.找到符合...


请注意,本站信息均收集自互联网,相关信息仅供参考,医疗等重要信息请以正规途径为最终意见,本站不承担任何责任!

www.wosoni.com false 互联网 http://www.wosoni.com/blogcnk/mm/ccdejg.html report 3096 解决方案1:[root@localhost cmake-3.13.2]# cat README.rstBuilding CMake from Scratch---------------------------You need to have a C++ compiler (supporting C++11) and a make installed.你的C++编译器支持C++11吗?,可能是C++编译器版本太低。你可以换一个低版本的cmake,或者使用 yum 安装cmake。最后,不要

热门图片